<?php

declare(strict_types=1);

namespace Drupal\cortex_general_settings\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines cortex_general_settings annotation object.
 *
 * @Annotation
 */
final class CortexGeneralSettings extends Plugin {

  /**
   * The plugin ID.
   */
  public string $id;

  /**
   * The human-readable name of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public string $title;

  /**
   * The description of the plugin.
   *
   * @ingroup plugin_translatable
   */
  public string $description;

  /**
   * The config key name.
   *
   * @ingroup plugin_translatable
   */
  public string $configName;

  /**
   * The form class.
   */
  public string $form;

}
