<?php

declare(strict_types=1);

namespace Drupal\cortex_general_settings;

use Drupal\Core\Form\FormStateInterface;

/**
 * Interface for cortex_general_settings plugins.
 */
interface CortexGeneralSettingsInterface {

  /**
   * Returns the translated plugin label.
   */
  public function label(): string;

  /**
   * Returns the plugin configuration form.
   */
  public function settingsForm(FormStateInterface $form_state, &$form): array;

  /**
   * Check if the current user has access to the plugin.
   */
  public function hasAccess(): bool;

  /**
   * Check if the current user has translation access to the plugin.
   */
  public function hasTranslationAccess(): bool;

  /**
   * Saves the plugin configuration.
   */
  public function submitSettingsForm(array $formValues): void;

}
