<?php

declare(strict_types=1);

namespace Drupal\cortex_general_settings;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\cortex_general_settings\Annotation\CortexGeneralSettings;

/**
 * CortexGeneralSettings plugin manager.
 */
final class CortexGeneralSettingsPluginManager extends DefaultPluginManager {

  /**
   * Constructs the object.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/CortexGeneralSettings', $namespaces, $module_handler, CortexGeneralSettingsInterface::class, CortexGeneralSettings::class);
    $this->alterInfo('cortex_general_settings_info');
    $this->setCacheBackend($cache_backend, 'cortex_general_settings_plugins');
  }

}
