<?php

declare(strict_types=1);

namespace Drupal\cortex_general_settings;

use Twig\TwigFunction;
use Twig\Extension\AbstractExtension;

/**
 * Twig extension.
 */
final class TwigExtension extends AbstractExtension {

  private $cortexGeneralSettingsManager;

  /**
   * Constructs the extension object.
   */
  public function __construct(CortexGeneralSettingsPluginManager $pluginManagerCortexGeneralSettings) {
    $this->cortexGeneralSettingsManager = $pluginManagerCortexGeneralSettings;
  }

  /**
   * {@inheritdoc}
   */
  public function getFunctions(): array {
  $functions[] = new TwigFunction(
      'cortex_settings', [$this, 'cortexGeneralSettings']);
    return $functions;

  }

  /**
   *
   */
  public function cortexGeneralSettings($pluginId = NULL): array {
    $settingsManager = $this->cortexGeneralSettingsManager;
    $settingsPlugins = $settingsManager->getDefinitions();
    $settings = [];

    if ($pluginId) {
      $plugin = $settingsManager->createInstance($pluginId);
      return $plugin->getSettings();
    }

    foreach ($settingsPlugins as $pluginId => $pluginDefinition) {
      $plugin = $settingsManager->createInstance($pluginId);
    $settings[$pluginId] = $plugin->getSettings();
    }
    return $settings;
  }

}
